import request from '@/utils/request'
import qs from 'qs'
const baseUrl = '/api/eis-xty-master-wz'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}
//修改优先级
export function orderPriority(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/order/bill/orderPriority',
    method: 'post',
    data: qs.stringify(params),
    // params: params
  })
}

//  订单明细查询 POST

export function findAlldetail(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/order/detail/findAll',
    method: 'post',
    data: qs.stringify(params),
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containermoveconfig/deleted-containermoveconfig',
    method: 'get',
    // data: params
    params: params,
  })
}
// 故障信息 GET

export function deviceInfo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/deviceInfo/sel-malfunction',
    method: 'get',
    //   data: params,
    params: params,
  })
}
